CREATE TABLE mkt_camp_resources (
    CAMPAIGN_RESOURCE_ID       NUMBER(18, 0),
    CAMPAIGN_ID                NUMBER(18, 0)    NOT NULL,
    RESOURCE_ID                NUMBER(18, 0)    NOT NULL,
    OWNER_FLAG                 VARCHAR2(4)  ,
    RESOURCE_ORG_ID            NUMBER(18, 0),
    ORG_TREE_STRUCTURE_CODE    VARCHAR2(120),
    ORG_TREE_CODE              VARCHAR2(120),
    ORG_TREE_VERSION_ID        VARCHAR2(128),
    ACCESS_LEVEL_CODE          VARCHAR2(120)    NOT NULL,
    CREATED_BY                 VARCHAR2(256)    NOT NULL,
    CREATION_DATE              TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY            VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE           TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN          VARCHAR2(128),
    OBJECT_VERSION_NUMBER      NUMBER(9, 0)     NOT NULL,
    CAMPAIGN_RESOURCE_ID       NUMBER(18, 0),
    CAMPAIGN_ID                NUMBER(18, 0)    NOT NULL,
    RESOURCE_ID                NUMBER(18, 0)    NOT NULL,
    OWNER_FLAG                 VARCHAR2(4)  ,
    RESOURCE_ORG_ID            NUMBER(18, 0),
    ORG_TREE_STRUCTURE_CODE    VARCHAR2(120),
    ORG_TREE_CODE              VARCHAR2(120),
    ORG_TREE_VERSION_ID        VARCHAR2(128),
    ACCESS_LEVEL_CODE          VARCHAR2(120)    NOT NULL,
    CREATED_BY                 VARCHAR2(256)    NOT NULL,
    CREATION_DATE              TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY            VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE           TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN          VARCHAR2(128),
    OBJECT_VERSION_NUMBER      NUMBER(9, 0)     NOT NULL,
    CONSTRAINT pk_mkt_camp_resources PRIMARY KEY (CAMPAIGN_RESOURCE_ID, CAMPAIGN_RESOURCE_ID)
);
